Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMCoulombBarrier.hh	(revision 1197)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMCoulombBarrier.hh	(revision 1197)
@@ -0,0 +1,70 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// J. M. Quesada (July 2009) based on G4AlphaCoulombBarrier
+// Coded strictly according to Furihata's GEM paper 
+//
+
+
+#ifndef G4AlphaGEMCoulombBarrier_h
+#define G4AlphaGEMCoulombBarrier_h 1
+
+#include "G4GEMCoulombBarrier.hh"
+#include "globals.hh"
+
+class G4AlphaGEMCoulombBarrier : public G4GEMCoulombBarrier
+{
+public:
+  G4AlphaGEMCoulombBarrier() : G4GEMCoulombBarrier(4,2) {};
+  ~G4AlphaGEMCoulombBarrier() {};
+  
+private:
+  G4AlphaGEMCoulombBarrier(const G4AlphaGEMCoulombBarrier & right);
+  
+  const G4AlphaGEMCoulombBarrier & operator=(const G4AlphaGEMCoulombBarrier & right);
+  G4bool operator==(const G4AlphaGEMCoulombBarrier & right) const;
+  G4bool operator!=(const G4AlphaGEMCoulombBarrier & right) const;
+  
+private:
+  G4double BarrierPenetrationFactor(const G4double aZ) const
+  {
+    // Data comes from 
+    // Dostrovsky, Fraenkel and Friedlander
+    // Physical Review, vol 116, num. 3 1959
+    // (JMQ 190709: according to notes added on proof)
+    // dataKa = {{20, 0.81}, {30, 0.85}, {40, 0.89}, {50, 0.93}};
+    //
+    G4double K = 1.0;	
+    if (aZ >= 50){
+      K=0.93;     
+    } else if (aZ <= 20) {
+      K=0.81; 
+    } else K=0.729802+0.00402544*aZ-1.17276*1e-6*aZ*aZ+2.31248*1e-8*aZ*aZ*aZ-1.65177*1e-10*aZ*aZ*aZ*aZ;	
+    return K;
+  }
+};
+
+#endif
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMCoulombBarrier.hh	(revision 1197)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMCoulombBarrier.hh	(revision 1197)
@@ -0,0 +1,70 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// J. M. Quesada (July 2009) based on G4DeuteronCoulombBarrier
+// Coded strictly according to Furihata's GEM paper 
+//
+
+#ifndef G4DeuteronGEMCoulombBarrier_h
+#define G4DeuteronGEMCoulombBarrier_h 1
+
+#include "G4GEMCoulombBarrier.hh"
+#include "globals.hh"
+
+class G4DeuteronGEMCoulombBarrier : public G4GEMCoulombBarrier
+{
+public:
+  G4DeuteronGEMCoulombBarrier() : G4GEMCoulombBarrier(2,1) {}
+  ~G4DeuteronGEMCoulombBarrier() {}
+  
+private:
+  G4DeuteronGEMCoulombBarrier(const G4DeuteronGEMCoulombBarrier & right);
+  
+  const G4DeuteronGEMCoulombBarrier & operator=(const G4DeuteronGEMCoulombBarrier & right);
+  G4bool operator==(const G4DeuteronGEMCoulombBarrier & right) const;
+  G4bool operator!=(const G4DeuteronGEMCoulombBarrier & right) const;
+  
+private:
+  G4double BarrierPenetrationFactor(const G4double aZ) const
+  {
+    // Data comes from 
+    // Dostrovsky, Fraenkel and Friedlander
+    // Physical Review, vol 116, num. 3 1959
+    // (JMQ 190709: according to notes added on proof)
+    //dataK = {{20, 0.51}, {30, 0.60}, {40, 0.66}, {50, 0.68}};
+    //
+    G4double K = 1.0;	
+    if (aZ >= 50){
+      K=0.68;     
+    } else if (aZ <= 20) {
+      K=0.51; 
+    } else K=0.28445+0.0115956*aZ+0.000026329*aZ*aZ-2.18583*1e-6*aZ*aZ*aZ+3.7083*1e-9*aZ*aZ*aZ*aZ;	
+    return K+0.06;
+  }
+  
+};
+
+#endif
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMCoulombBarrier.hh	(revision 1197)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMCoulombBarrier.hh	(revision 1197)
@@ -0,0 +1,65 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// J. M. Quesada (July 2009) based on G4GEMCoulombBarrierHE
+// Coded strictly according to Furihata's GEM paper 
+//
+#ifndef G4GEMCoulombBarrier_h
+#define G4GEMCoulombBarrier_h 1
+
+#include "G4VCoulombBarrier.hh"
+#include "globals.hh"
+
+
+class G4GEMCoulombBarrier : public G4VCoulombBarrier
+{
+public:
+  G4GEMCoulombBarrier() : G4VCoulombBarrier(1,0) {};
+  G4GEMCoulombBarrier(const G4int anA,const G4int aZ) :
+  G4VCoulombBarrier(anA,aZ) {};
+  ~G4GEMCoulombBarrier() {};
+
+private:
+  G4GEMCoulombBarrier(const G4GEMCoulombBarrier & right);
+
+  const G4GEMCoulombBarrier & operator=(const G4GEMCoulombBarrier & right);
+  G4bool operator==(const G4GEMCoulombBarrier & right) const;
+  G4bool operator!=(const G4GEMCoulombBarrier & right) const;
+  
+public:
+  G4double GetCoulombBarrier(const G4int ARes, const G4int ZRes, 
+			     const G4double U) const;
+
+
+private:
+
+  virtual G4double BarrierPenetrationFactor(const G4double /*aZ*/) const {return 1.0;};
+
+  virtual G4double CalcCompoundRadius(const G4double ARes) const;
+
+};
+#endif
+
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMCoulombBarrier.hh	(revision 1197)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMCoulombBarrier.hh	(revision 1197)
@@ -0,0 +1,70 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// J. M. Quesada (July 2009) based on G4He3CoulombBarrier
+// Coded strictly according to Furihata's GEM paper 
+//
+
+
+#ifndef G4He3GEMCoulombBarrier_h
+#define G4He3GEMCoulombBarrier_h 1
+
+#include "G4GEMCoulombBarrier.hh"
+#include "globals.hh"
+
+class G4He3GEMCoulombBarrier : public G4GEMCoulombBarrier
+{
+public:
+  G4He3GEMCoulombBarrier() : G4GEMCoulombBarrier(3,2) {}
+  ~G4He3GEMCoulombBarrier() {}
+  
+private:
+  G4He3GEMCoulombBarrier(const G4He3GEMCoulombBarrier & right);
+  
+  const G4He3GEMCoulombBarrier & operator=(const G4He3GEMCoulombBarrier & right);
+  G4bool operator==(const G4He3GEMCoulombBarrier & right) const;
+  G4bool operator!=(const G4He3GEMCoulombBarrier & right) const;
+  
+private:
+  G4double BarrierPenetrationFactor(const G4double aZ) const
+  {
+    // Data comes from 
+    // Dostrovsky, Fraenkel and Friedlander
+    // Physical Review, vol 116, num. 3 1959
+    // (JMQ 190709: according to notes added on proof)
+    // dataKa = {{20, 0.81}, {30, 0.85}, {40, 0.89}, {50, 0.93}};
+    //
+    G4double K = 1.0;	
+    if (aZ >= 50){
+      K=0.93;     
+    } else if (aZ <= 20) {
+      K=0.81; 
+    } else K=0.729802+0.00402544*aZ-1.17276*1e-6*aZ*aZ+2.31248*1e-8*aZ*aZ*aZ-1.65177*1e-10*aZ*aZ*aZ*aZ;	
+    return K-0.06;
+  }
+};
+
+#endif
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMCoulombBarrier.hh	(revision 1197)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMCoulombBarrier.hh	(revision 1197)
@@ -0,0 +1,68 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// J. M. Quesada (July 2009) based on G4ProtonCoulombBarrier
+// Coded strictly according to Furihata's GEM paper 
+//
+
+#ifndef G4ProtonGEMCoulombBarrier_h
+#define G4ProtonGEMCoulombBarrier_h 1
+
+#include "G4GEMCoulombBarrier.hh"
+#include "globals.hh"
+
+class G4ProtonGEMCoulombBarrier : public G4GEMCoulombBarrier
+{
+public:
+  G4ProtonGEMCoulombBarrier() : G4GEMCoulombBarrier(1,1) {}
+  ~G4ProtonGEMCoulombBarrier() {}
+  
+private:
+  G4ProtonGEMCoulombBarrier(const G4ProtonGEMCoulombBarrier & right);
+  
+  const G4ProtonGEMCoulombBarrier & operator=(const G4ProtonGEMCoulombBarrier & right);
+  G4bool operator==(const G4ProtonGEMCoulombBarrier & right) const;
+  G4bool operator!=(const G4ProtonGEMCoulombBarrier & right) const;
+  
+private:
+  G4double BarrierPenetrationFactor(const G4double aZ) const {
+    // Data comes from 
+    // Dostrovsky, Fraenkel and Friedlander
+    // Physical Review, vol 116, num. 3 1959
+    // (JMQ 190709: according to notes added on proof)
+    //dataK = {{20, 0.51}, {30, 0.60}, {40, 0.66}, {50, 0.68}};
+    //
+    G4double K = 1.0;	
+    if (aZ >= 50){
+      K=0.68;     
+    } else if (aZ <= 20) {
+      K=0.51; 
+    } else K=0.28445+0.0115956*aZ+0.000026329*aZ*aZ-2.18583*1e-6*aZ*aZ*aZ+3.7083*1e-9*aZ*aZ*aZ*aZ;	
+    return K;
+  }
+};
+
+#endif
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMCoulombBarrier.hh	(revision 1197)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMCoulombBarrier.hh	(revision 1197)
@@ -0,0 +1,70 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// J. M. Quesada (July 2009) based on G4TritonCoulombBarrier
+// Coded strictly according to Furihata's GEM paper 
+//
+
+
+#ifndef G4TritonGEMCoulombBarrier_h
+#define G4TritonGEMCoulombBarrier_h 1
+
+#include "G4GEMCoulombBarrier.hh"
+#include "globals.hh"
+
+class G4TritonGEMCoulombBarrier : public G4GEMCoulombBarrier
+{
+public:
+  G4TritonGEMCoulombBarrier() : G4GEMCoulombBarrier(3,1) {}
+  ~G4TritonGEMCoulombBarrier() {}
+  
+private:
+  G4TritonGEMCoulombBarrier(const G4TritonGEMCoulombBarrier & right);
+  
+  const G4TritonGEMCoulombBarrier & operator=(const G4TritonGEMCoulombBarrier & right);
+  G4bool operator==(const G4TritonGEMCoulombBarrier & right) const;
+  G4bool operator!=(const G4TritonGEMCoulombBarrier & right) const;
+  
+private:
+  G4double BarrierPenetrationFactor(const G4double aZ) const
+  {
+    // Data comes from 
+    // Dostrovsky, Fraenkel and Friedlander
+    // Physical Review, vol 116, num. 3 1959
+    // (JMQ 190709: according to notes added on proof)
+    //dataK = {{20, 0.51}, {30, 0.60}, {40, 0.66}, {50, 0.68}};
+    //
+    G4double K = 1.0;	
+    if (aZ >= 50){
+      K=0.68;     
+    } else if (aZ <= 20) {
+      K=0.51; 
+    } else K=0.28445+0.0115956*aZ+0.000026329*aZ*aZ-2.18583*1e-6*aZ*aZ*aZ+3.7083*1e-9*aZ*aZ*aZ*aZ;	
+    return K+0.12;
+  }
+};
+
+#endif
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4GEMCoulombBarrier.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4GEMCoulombBarrier.cc	(revision 1197)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4GEMCoulombBarrier.cc	(revision 1197)
@@ -0,0 +1,111 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// J. M. Quesada (July 2009):  New class based on G4GEMCoulombBarrierHE
+// Coded strictly according to Furihata's GEM paper 
+// NEW:effective decrease  of barrier with E* (Barashenkov) has been added
+//
+#include "G4GEMCoulombBarrier.hh"
+#include "G4HadronicException.hh"
+#include <sstream>
+
+G4GEMCoulombBarrier::G4GEMCoulombBarrier(const G4GEMCoulombBarrier & ) : G4VCoulombBarrier()
+{
+  throw G4HadronicException(__FILE__, __LINE__, "G4GEMCoulombBarrier::copy_constructor meant to not be accessable.");
+}
+
+
+const G4GEMCoulombBarrier & G4GEMCoulombBarrier::operator=(const G4GEMCoulombBarrier & )
+{
+  throw G4HadronicException(__FILE__, __LINE__, "G4GEMCoulombBarrier::operator= meant to not be accessable.");
+  return *this;
+}
+
+G4bool G4GEMCoulombBarrier::operator==(const G4GEMCoulombBarrier & ) const 
+{
+  return false;
+}
+
+G4bool G4GEMCoulombBarrier::operator!=(const G4GEMCoulombBarrier & ) const 
+{
+  return true;
+}
+
+
+
+G4double G4GEMCoulombBarrier::GetCoulombBarrier(const G4int ARes, const G4int ZRes, const G4double U) const 
+// Calculation of Coulomb potential energy (barrier) for outgoing fragment
+{
+  G4double Barrier = 0.0;
+  if (ZRes > ARes || ARes < 1) {
+    std::ostringstream errOs;
+    errOs << "G4GEMCoulombBarrier::GetCoulombBarrier: ";
+    errOs << "Wrong values for ";
+    errOs << "residual nucleus A = " << ARes << " ";
+    errOs << "and residual nucleus Z = " << ZRes << G4endl;
+    throw G4HadronicException(__FILE__, __LINE__, errOs.str());
+  }
+  if (GetZ() == 0) {
+    Barrier = 0.0;   // If there is no charge there is neither barrier
+  } else 
+    {
+      G4double CompoundRadius = CalcCompoundRadius(static_cast<G4double>(ARes));
+      Barrier = ( elm_coupling * static_cast<G4double>(GetZ()) * static_cast<G4double>(ZRes) )/CompoundRadius;
+      
+      // Barrier penetration coeficient
+      G4double K=1.;
+      if(GetA() <= 4) K = BarrierPenetrationFactor(ZRes);
+      
+      Barrier *= K;
+      
+    }
+  //JMQ 200709 effective decrease  of barrier with E* (Barashenkov)
+  // (not inclued in original Furihata's formulation)
+  Barrier /= (1.0 + std::sqrt(U/(2.0*static_cast<G4double>(ARes))));
+  // JMQ end test
+  return Barrier;
+}
+
+
+G4double G4GEMCoulombBarrier::CalcCompoundRadius(const G4double ARes) const
+{      
+    G4double AresOneThird = std::pow(ARes,1.0/3.0);
+    G4double AejectOneThird = std::pow(G4double(GetA()),1.0/3.0);
+
+    if(GetA()==1){
+    G4double Rd=1.7* AresOneThird;
+    return Rd*fermi;
+   } else if (GetA()==2 || GetA()==3 || GetA()==4){
+    G4double Rd=1.7* AresOneThird;
+    G4double Rj=1.2;
+    return (Rd+Rj)*fermi;
+   } else {
+    G4double Result = 1.12*(AresOneThird + AejectOneThird) - 
+      0.86*(AresOneThird+AejectOneThird)/(AresOneThird*AejectOneThird)+3.75;
+    return Result*fermi;}
+}
+
+