Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/AbrasionAblation/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/AbrasionAblation/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/AbrasionAblation/CVS/Entries	(revision 1211)
@@ -1,4 +1,4 @@
-/AbrasionAblation.tex/1.4/Mon Dec 18 10:28:26 2006//
-/abrasion.eps/1.1/Mon Jun 21 18:13:39 2004//
-/deflection.eps/1.2/Mon Dec 18 10:28:26 2006//
+/AbrasionAblation.tex/1.4/Mon Dec  7 10:31:00 2009//
+/abrasion.eps/1.1/Mon Dec  7 10:31:00 2009//
+/deflection.eps/1.2/Mon Dec  7 10:31:00 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/BinaryCascade/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/BinaryCascade/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/BinaryCascade/CVS/Entries	(revision 1211)
@@ -1,36 +1,36 @@
-/BinaryCascade.tex/1.1/Thu Dec 12 11:00:56 2002//
-/angularDistributions.tex/1.1/Thu Dec 12 11:00:57 2002//
-/bibliography.tex/1.4/Sat Dec 11 06:57:18 2004//
-/comparisons.tex/1.1/Thu Dec 12 11:00:58 2002//
-/decay.tex/1.1/Thu Dec 12 11:00:59 2002//
-/dsde_256.eps/1.1/Thu Dec 12 11:01:00 2002//
-/dsdedt_256_7.5.eps/1.1/Thu Dec 12 11:01:01 2002//
-/dsdedt_al_113.eps/1.1/Thu Dec 12 11:01:02 2002//
-/dsdedt_al_256.eps/1.1/Thu Dec 12 11:01:02 2002//
-/dsdedt_al_600.eps/1.1/Thu Dec 12 11:01:03 2002//
-/dsdedt_al_800.eps/1.1/Thu Dec 12 11:01:04 2002//
-/dsdedt_fe_113.eps/1.1/Thu Dec 12 11:01:04 2002//
-/dsdedt_fe_256.eps/1.1/Thu Dec 12 11:01:05 2002//
-/dsdedt_fe_600.eps/1.1/Thu Dec 12 11:01:06 2002//
-/dsdedt_fe_800.eps/1.1/Thu Dec 12 11:01:07 2002//
-/dsdedt_pb_113.eps/1.1/Thu Dec 12 11:01:07 2002//
-/dsdedt_pb_256.eps/1.1/Thu Dec 12 11:01:08 2002//
-/dsdedt_pb_600.eps/1.1/Thu Dec 12 11:01:09 2002//
-/dsdedt_pb_800.eps/1.1/Thu Dec 12 11:01:10 2002//
-/escape.tex/1.1/Thu Dec 12 11:01:10 2002//
-/excitationFragment.tex/1.1/Thu Dec 12 11:01:11 2002//
-/inclusive.tex/1.2/Tue Jan 28 21:32:14 2003//
-/light.tex/1.2/Thu Dec  4 21:39:57 2003//
-/modeling.tex/1.2/Thu Dec  4 16:58:03 2003//
-/modelingOverview.tex/1.1/Thu Dec 12 11:01:13 2002//
-/neutrons.tex/1.3/Mon Dec 18 10:28:26 2006//
-/nnElastic.tex/1.1/Thu Dec 12 11:01:15 2002//
-/nucleus.tex/1.2/Tue Jan 28 21:32:38 2003//
-/pauliBlocking.tex/1.1/Thu Dec 12 11:01:16 2002//
-/pi_45.eps/1.1/Thu Dec 12 11:01:17 2002//
-/potentials.tex/1.1/Thu Dec 12 11:01:18 2002//
-/propagation.tex/1.1/Thu Dec 12 11:01:19 2002//
-/scatteringTerm.tex/1.1/Thu Dec 12 11:01:19 2002//
-/toPrecompound.tex/1.3/Thu Dec  4 21:32:04 2003//
-/transport.tex/1.1/Thu Dec 12 11:01:21 2002//
+/BinaryCascade.tex/1.1/Mon Dec  7 10:31:00 2009//
+/angularDistributions.tex/1.1/Mon Dec  7 10:31:00 2009//
+/bibliography.tex/1.4/Mon Dec  7 10:31:00 2009//
+/comparisons.tex/1.1/Mon Dec  7 10:31:00 2009//
+/decay.tex/1.1/Mon Dec  7 10:31:00 2009//
+/dsde_256.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_256_7.5.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_al_113.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_al_256.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_al_600.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_al_800.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_fe_113.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_fe_256.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_fe_600.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_fe_800.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_pb_113.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_pb_256.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_pb_600.eps/1.1/Mon Dec  7 10:31:00 2009//
+/dsdedt_pb_800.eps/1.1/Mon Dec  7 10:31:00 2009//
+/escape.tex/1.1/Mon Dec  7 10:31:00 2009//
+/excitationFragment.tex/1.1/Mon Dec  7 10:31:00 2009//
+/inclusive.tex/1.2/Mon Dec  7 10:31:00 2009//
+/light.tex/1.2/Mon Dec  7 10:31:00 2009//
+/modeling.tex/1.2/Mon Dec  7 10:31:00 2009//
+/modelingOverview.tex/1.1/Mon Dec  7 10:31:00 2009//
+/neutrons.tex/1.3/Mon Dec  7 10:31:00 2009//
+/nnElastic.tex/1.1/Mon Dec  7 10:31:00 2009//
+/nucleus.tex/1.2/Mon Dec  7 10:31:00 2009//
+/pauliBlocking.tex/1.1/Mon Dec  7 10:31:00 2009//
+/pi_45.eps/1.1/Mon Dec  7 10:31:00 2009//
+/potentials.tex/1.1/Mon Dec  7 10:31:00 2009//
+/propagation.tex/1.1/Mon Dec  7 10:31:00 2009//
+/scatteringTerm.tex/1.1/Mon Dec  7 10:31:00 2009//
+/toPrecompound.tex/1.3/Mon Dec  7 10:31:00 2009//
+/transport.tex/1.1/Mon Dec  7 10:31:00 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/CVS/Entries	(revision 1211)
@@ -12,4 +12,4 @@
 D/Precompound////
 D/StoppedAbsorption////
-/EMDissociation.tex/1.2/Sat Dec 11 06:56:15 2004//
-/theory_driven.tex/1.11/Mon Jun 21 18:21:28 2004//
+/EMDissociation.tex/1.2/Mon Dec  7 10:31:01 2009//
+/theory_driven.tex/1.11/Mon Dec  7 10:31:01 2009//
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Cascade/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Cascade/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Cascade/CVS/Entries	(revision 1211)
@@ -1,2 +1,2 @@
-/Cascade.tex/1.7/Wed Jun 22 17:41:16 2005//
+/Cascade.tex/1.7/Mon Dec  7 10:31:00 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/ChiralInvariantPhaseSpace/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/ChiralInvariantPhaseSpace/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/ChiralInvariantPhaseSpace/CVS/Entries	(revision 1211)
@@ -1,6 +1,6 @@
 D/plots////
-/CHIPS.tex/1.12/Thu Dec  8 21:37:24 2005//
-/CHIPSdetail.tex/1.3/Fri Dec  6 07:52:09 2002//
-/Fig12.eps/1.1/Mon Dec  2 12:38:39 2002//
-/Fig13.eps/1.1/Mon Dec  2 12:38:39 2002//
-/PhotoElectroNucCrsSctn.tex/1.2/Sat Dec 11 06:55:41 2004//
+/CHIPS.tex/1.12/Mon Dec  7 10:31:01 2009//
+/CHIPSdetail.tex/1.3/Mon Dec  7 10:31:01 2009//
+/Fig12.eps/1.1/Mon Dec  7 10:31:01 2009//
+/Fig13.eps/1.1/Mon Dec  7 10:31:01 2009//
+/PhotoElectroNucCrsSctn.tex/1.2/Mon Dec  7 10:31:01 2009//
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/ChiralInvariantPhaseSpace/plots/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/ChiralInvariantPhaseSpace/plots/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/ChiralInvariantPhaseSpace/plots/CVS/Entries	(revision 1211)
@@ -1,25 +1,25 @@
-/alpha.eps/1.1/Fri Dec  2 15:18:50 2005//
-/apcmul.eps/1.1/Thu Nov 29 18:43:47 2001//
-/be0405k.eps/1.1/Thu Nov 29 18:43:47 2001//
-/c0606k.eps/1.1/Thu Nov 29 18:43:47 2001//
-/ca2020k.eps/1.1/Thu Nov 29 18:43:47 2001//
-/channels.eps/1.1/Thu Nov 29 18:43:47 2001//
-/co2732k.eps/1.1/Thu Nov 29 18:43:47 2001//
-/diagram.eps/1.1/Thu Nov 29 18:43:47 2001//
-/diagram1.eps/1.1/Thu Nov 29 18:43:47 2001//
-/diagram2.eps/1.1/Thu Nov 29 18:43:47 2001//
-/f23nud.eps/1.1/Fri Dec  2 15:18:50 2005//
-/f23nufe.eps/1.1/Fri Dec  2 15:18:50 2005//
-/gabsa.eps/1.1/Fri Dec  2 15:18:50 2005//
-/gam62.eps/1.1/Thu Nov 29 18:43:48 2001//
-/gamm_c0606_e123.eps/1.1/Thu Nov 29 18:43:48 2001//
-/gamm_c0606_e151.eps/1.1/Thu Nov 29 18:43:48 2001//
-/mommul.eps/1.1/Thu Nov 29 18:43:48 2001//
-/numu_cs.eps/1.1/Fri Dec  2 15:18:50 2005//
-/photonuclear.eps/1.1/Thu Nov 29 18:43:48 2001//
-/si1414k.eps/1.1/Thu Nov 29 18:43:48 2001//
-/ta73108k.eps/1.1/Thu Nov 29 18:43:48 2001//
-/threechn.eps/1.1/Thu Nov 29 18:43:48 2001//
-/twochn.eps/1.1/Thu Nov 29 18:43:48 2001//
-/vgam_c0606k.eps/1.1/Thu Nov 29 18:43:48 2001//
+/alpha.eps/1.1/Mon Dec  7 10:31:01 2009//
+/apcmul.eps/1.1/Mon Dec  7 10:31:01 2009//
+/be0405k.eps/1.1/Mon Dec  7 10:31:01 2009//
+/c0606k.eps/1.1/Mon Dec  7 10:31:01 2009//
+/ca2020k.eps/1.1/Mon Dec  7 10:31:01 2009//
+/channels.eps/1.1/Mon Dec  7 10:31:01 2009//
+/co2732k.eps/1.1/Mon Dec  7 10:31:01 2009//
+/diagram.eps/1.1/Mon Dec  7 10:31:01 2009//
+/diagram1.eps/1.1/Mon Dec  7 10:31:01 2009//
+/diagram2.eps/1.1/Mon Dec  7 10:31:01 2009//
+/f23nud.eps/1.1/Mon Dec  7 10:31:01 2009//
+/f23nufe.eps/1.1/Mon Dec  7 10:31:01 2009//
+/gabsa.eps/1.1/Mon Dec  7 10:31:01 2009//
+/gam62.eps/1.1/Mon Dec  7 10:31:01 2009//
+/gamm_c0606_e123.eps/1.1/Mon Dec  7 10:31:01 2009//
+/gamm_c0606_e151.eps/1.1/Mon Dec  7 10:31:01 2009//
+/mommul.eps/1.1/Mon Dec  7 10:31:01 2009//
+/numu_cs.eps/1.1/Mon Dec  7 10:31:01 2009//
+/photonuclear.eps/1.1/Mon Dec  7 10:31:01 2009//
+/si1414k.eps/1.1/Mon Dec  7 10:31:01 2009//
+/ta73108k.eps/1.1/Mon Dec  7 10:31:01 2009//
+/threechn.eps/1.1/Mon Dec  7 10:31:01 2009//
+/twochn.eps/1.1/Mon Dec  7 10:31:01 2009//
+/vgam_c0606k.eps/1.1/Mon Dec  7 10:31:01 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/CrossSection/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/CrossSection/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/CrossSection/CVS/Entries	(revision 1211)
@@ -1,6 +1,6 @@
-/CrossSectionModel.tex/1.3/Thu Nov 29 18:58:55 2001//
-/CrossSectionModelReferences.tex/1.1/Tue Nov 17 15:55:25 1998//
-/GlauberModel.tex/1.2/Sat Dec  5 11:22:36 1998//
-/HECrossSectionModelAlgorithm.tex/1.2/Sat Dec  5 11:22:36 1998//
-/NNXSections.tex/1.6/Sat Dec 11 06:54:57 2004//
+/CrossSectionModel.tex/1.3/Mon Dec  7 10:31:01 2009//
+/CrossSectionModelReferences.tex/1.1/Mon Dec  7 10:31:01 2009//
+/GlauberModel.tex/1.2/Mon Dec  7 10:31:01 2009//
+/HECrossSectionModelAlgorithm.tex/1.2/Mon Dec  7 10:31:01 2009//
+/NNXSections.tex/1.6/Mon Dec  7 10:31:01 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Evaporation/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Evaporation/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Evaporation/CVS/Entries	(revision 1211)
@@ -1,10 +1,10 @@
-/EvaporationModel.tex/1.7/Sun Feb  9 03:51:12 2003//
-/EvaporationModelAlgorithm.tex/1.3/Wed Dec 16 18:02:26 1998//
-/EvaporationModelReferences.tex/1.14/Sat Dec 11 18:55:18 2004//
-/FissionProbability.tex/1.8/Sun Feb  9 03:51:12 2003//
-/Introduction.tex/1.3/Wed Oct 27 17:53:38 2004//
-/ModelDescription.tex/1.2/Fri Apr 25 01:32:01 2003//
-/ReactionInitialStateEM.tex/1.4/Mon Feb 22 18:15:01 1999//
-/SimulationFragmentEvaporation.tex/1.9/Fri Jul  5 09:48:29 2002//
-/SimulationPhotonEvaporation.tex/1.14/Fri Dec 10 00:19:33 2004//
+/EvaporationModel.tex/1.7/Mon Dec  7 10:31:00 2009//
+/EvaporationModelAlgorithm.tex/1.3/Mon Dec  7 10:31:00 2009//
+/EvaporationModelReferences.tex/1.14/Mon Dec  7 10:31:00 2009//
+/FissionProbability.tex/1.8/Mon Dec  7 10:31:00 2009//
+/Introduction.tex/1.3/Mon Dec  7 10:31:00 2009//
+/ModelDescription.tex/1.2/Mon Dec  7 10:31:00 2009//
+/ReactionInitialStateEM.tex/1.4/Mon Dec  7 10:31:00 2009//
+/SimulationFragmentEvaporation.tex/1.9/Mon Dec  7 10:31:00 2009//
+/SimulationPhotonEvaporation.tex/1.14/Mon Dec  7 10:31:00 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/FermiBreakup/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/FermiBreakup/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/FermiBreakup/CVS/Entries	(revision 1211)
@@ -1,4 +1,4 @@
-/FermiBreakSim.tex/1.7/Fri Jul  5 09:49:08 2002//
-/FermiBreakUpModel.tex/1.5/Thu Nov 29 18:58:55 2001//
-/FermiBreakUpModelReferences.tex/1.5/Sat Dec 11 18:53:32 2004//
+/FermiBreakSim.tex/1.7/Mon Dec  7 10:31:01 2009//
+/FermiBreakUpModel.tex/1.5/Mon Dec  7 10:31:01 2009//
+/FermiBreakUpModelReferences.tex/1.5/Mon Dec  7 10:31:01 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Fission/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Fission/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Fission/CVS/Entries	(revision 1211)
@@ -1,9 +1,9 @@
-/FissionCrossSection.tex/1.3/Wed Dec 16 18:03:52 1998//
-/FissionModel.tex/1.6/Tue Aug 14 18:07:19 2007//
-/FissionModelAlgorithm.tex/1.3/Wed Dec 16 18:03:54 1998//
-/FissionModelReferences.tex/1.5/Tue Aug 14 18:09:45 2007//
-/FissionStatus.tex/1.1/Tue Aug 14 18:10:35 2007//
-/Introduction.tex/1.1/Tue Aug 14 18:08:17 2007//
-/LLNLFission.tex/1.1/Tue Aug 14 18:13:14 2007//
-/ParamFission.tex/1.1/Tue Aug 14 18:15:10 2007//
 D/eps////
+/FissionCrossSection.tex/1.3/Mon Dec  7 10:31:00 2009//
+/FissionModel.tex/1.6/Mon Dec  7 10:31:00 2009//
+/FissionModelAlgorithm.tex/1.3/Mon Dec  7 10:31:00 2009//
+/FissionModelReferences.tex/1.5/Mon Dec  7 10:31:00 2009//
+/FissionStatus.tex/1.1/Mon Dec  7 10:31:00 2009//
+/Introduction.tex/1.1/Mon Dec  7 10:31:00 2009//
+/LLNLFission.tex/1.1/Mon Dec  7 10:31:00 2009//
+/ParamFission.tex/1.1/Mon Dec  7 10:31:00 2009//
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Fission/eps/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Fission/eps/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Fission/eps/CVS/Entries	(revision 1211)
@@ -1,7 +1,7 @@
-/Cf252_nugdist.ps/1.1/Tue Aug 14 18:05:23 2007//
-/U235_6MeV_nudist.ps/1.1/Tue Aug 14 18:05:23 2007//
-/U235_gspectrum.ps/1.1/Tue Aug 14 18:05:23 2007//
-/U238_nugdist.ps/1.1/Tue Aug 14 18:05:23 2007//
-/Wattspectrum_U235_6MeV.pdf/1.1/Tue Aug 14 18:05:23 2007//
-/Wattspectrum_U235_6MeV.ps/1.1/Tue Aug 14 18:05:24 2007//
+/Cf252_nugdist.ps/1.1/Mon Dec  7 10:31:00 2009//
+/U235_6MeV_nudist.ps/1.1/Mon Dec  7 10:31:00 2009//
+/U235_gspectrum.ps/1.1/Mon Dec  7 10:31:00 2009//
+/U238_nugdist.ps/1.1/Mon Dec  7 10:31:00 2009//
+/Wattspectrum_U235_6MeV.ps/1.1/Mon Dec  7 10:31:00 2009//
+/Wattspectrum_U235_6MeV.pdf/1.1/Mon Dec  7 10:46:31 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/GammaInteraction/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/GammaInteraction/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/GammaInteraction/CVS/Entries	(revision 1211)
@@ -1,7 +1,7 @@
-/GammaInteractionModel.tex/1.5/Thu Nov 29 18:58:55 2001//
-/GammaInteractionModelAlgorithm.tex/1.3/Wed Dec 16 18:04:29 1998//
-/GammaInteractionModelReferences.tex/1.1/Tue Nov  3 10:38:52 1998//
-/HighEnergyGammaInteraction.tex/1.3/Wed Dec 16 18:04:30 1998//
-/IntermediateEnergyGammaInteraction.tex/1.3/Wed Dec 16 18:04:31 1998//
-/ReactionInitialStateGIM.tex/1.3/Wed Dec 16 18:04:32 1998//
+/GammaInteractionModel.tex/1.5/Mon Dec  7 10:31:00 2009//
+/GammaInteractionModelAlgorithm.tex/1.3/Mon Dec  7 10:31:00 2009//
+/GammaInteractionModelReferences.tex/1.1/Mon Dec  7 10:31:00 2009//
+/HighEnergyGammaInteraction.tex/1.3/Mon Dec  7 10:31:00 2009//
+/IntermediateEnergyGammaInteraction.tex/1.3/Mon Dec  7 10:31:00 2009//
+/ReactionInitialStateGIM.tex/1.3/Mon Dec  7 10:31:00 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Multifragmentation/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Multifragmentation/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Multifragmentation/CVS/Entries	(revision 1211)
@@ -1,4 +1,4 @@
-/MultFragSim.tex/1.8/Thu Nov 14 20:06:28 2002//
-/MultifragmentationModel.tex/1.5/Thu Nov 29 18:58:55 2001//
-/MultifragmentationModelReferences.tex/1.4/Sat Dec 11 18:51:37 2004//
+/MultFragSim.tex/1.8/Mon Dec  7 10:31:00 2009//
+/MultifragmentationModel.tex/1.5/Mon Dec  7 10:31:00 2009//
+/MultifragmentationModelReferences.tex/1.4/Mon Dec  7 10:31:00 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/PartonString/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/PartonString/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/PartonString/CVS/Entries	(revision 1211)
@@ -1,12 +1,12 @@
-/KinkyStringDecay.tex/1.3/Wed Dec 16 18:09:29 1998//
-/KinkyStringExcitation.tex/1.3/Wed Dec 16 18:09:30 1998//
-/LongitudinalStringDecay.tex/1.4/Mon Feb 22 18:17:25 1999//
-/LongitudinalStringExcitation.tex/1.7/Thu Dec  9 19:16:14 2004//
-/OneStringExcitation.tex/1.2/Sat Dec  5 11:22:45 1998//
-/PartonStringModel.tex/1.6/Thu Dec  8 22:36:17 2005//
-/PartonStringModelAlgorithm.tex/1.3/Wed Dec 16 18:09:33 1998//
-/PartonStringReferences.tex/1.3/Sat Dec 11 06:53:40 2004//
-/ReactionInitialStatePSM.tex/1.6/Tue Nov 15 01:38:05 2005//
-/SampleLongitudinalKinkyStrings.tex/1.3/Sat Dec  5 11:22:46 1998//
-/SampleParticipants.tex/1.6/Wed Mar 10 15:52:08 1999//
+/KinkyStringDecay.tex/1.3/Mon Dec  7 10:31:00 2009//
+/KinkyStringExcitation.tex/1.3/Mon Dec  7 10:31:00 2009//
+/LongitudinalStringDecay.tex/1.4/Mon Dec  7 10:31:00 2009//
+/LongitudinalStringExcitation.tex/1.7/Mon Dec  7 10:31:00 2009//
+/OneStringExcitation.tex/1.2/Mon Dec  7 10:31:00 2009//
+/PartonStringModel.tex/1.6/Mon Dec  7 10:31:00 2009//
+/PartonStringModelAlgorithm.tex/1.3/Mon Dec  7 10:31:00 2009//
+/PartonStringReferences.tex/1.3/Mon Dec  7 10:31:00 2009//
+/ReactionInitialStatePSM.tex/1.6/Mon Dec  7 10:31:00 2009//
+/SampleLongitudinalKinkyStrings.tex/1.3/Mon Dec  7 10:31:00 2009//
+/SampleParticipants.tex/1.6/Mon Dec  7 10:31:00 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Precompound/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Precompound/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/Precompound/CVS/Entries	(revision 1211)
@@ -1,5 +1,5 @@
-/PreCompoundSim.tex/1.9/Thu Dec  9 23:59:42 2004//
-/PrecompoundModel.tex/1.5/Thu Nov 29 18:58:56 2001//
-/PrecompoundModelReferences.tex/1.5/Sat Dec 11 18:50:27 2004//
-/ReactionInitialStatePM.tex/1.4/Mon Feb 22 18:17:50 1999//
+/PreCompoundSim.tex/1.9/Mon Dec  7 10:31:00 2009//
+/PrecompoundModel.tex/1.5/Mon Dec  7 10:31:00 2009//
+/PrecompoundModelReferences.tex/1.5/Mon Dec  7 10:31:00 2009//
+/ReactionInitialStatePM.tex/1.4/Mon Dec  7 10:31:00 2009//
 D
Index: trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/StoppedAbsorption/CVS/Entries
===================================================================
--- trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/StoppedAbsorption/CVS/Entries	(revision 1208)
+++ trunk/documents/UserDoc/UsersGuides/PhysicsReferenceManual/latex/hadronic/theory_driven/StoppedAbsorption/CVS/Entries	(revision 1211)
@@ -1,6 +1,6 @@
-/ReactionInitialStateSA.tex/1.3/Wed Dec 16 18:11:00 1998//
-/StoppedAbsorption.tex/1.4/Thu Nov 29 18:58:56 2001//
-/StoppedAbsorptionAlgorithm.tex/1.3/Wed Dec 16 18:11:02 1998//
-/StoppedAbsorptionReferences.tex/1.1/Tue Nov  3 10:40:05 1998//
-/StoppedAbsorptionSimulation.tex/1.3/Wed Dec 16 18:11:03 1998//
+/ReactionInitialStateSA.tex/1.3/Mon Dec  7 10:31:00 2009//
+/StoppedAbsorption.tex/1.4/Mon Dec  7 10:31:00 2009//
+/StoppedAbsorptionAlgorithm.tex/1.3/Mon Dec  7 10:31:00 2009//
+/StoppedAbsorptionReferences.tex/1.1/Mon Dec  7 10:31:00 2009//
+/StoppedAbsorptionSimulation.tex/1.3/Mon Dec  7 10:31:00 2009//
 D